Jump to content
PeteUK

Crosshair Angle?

Recommended Posts

PeteUK

How do you set the crosshairs to be at an angle of say 30 degrees?

 

And also, if you open a drawing with the cross hairs already set to an unknown angle, how do you reset them to 0 and 90 degrees?

 

Cheers!

Share this post


Link to post
Share on other sites
Cymro

Hi,

 

you can change the crosshairs angle with snapang, you can also use snapang to reset them back to 0 degrees

Share this post


Link to post
Share on other sites
dbroada

go to Tools|Drafting Settings|Snap & Grid.

 

Play as much as you like! Normal setting is for rectangular snap for orthoganol work or isometric snap if you are drawing in isometric. If working in isometric CTRL+E will step you around the planes.

Share this post


Link to post
Share on other sites
PeteUK

thanks for that.

 

Ive got a drawing that has an unknown angled crosshair but when I typed in SNAPANG the value is 0.0000 - yet the cross hairs appear around 20ish degrees?

Share this post


Link to post
Share on other sites
dbroada

is the UCS set to world or rotated? Type PLAN to see if anything happens.

Share this post


Link to post
Share on other sites
rkmcswain

Also note that SNAPANG can be called transparently, so you can change it in the middle of a command.

 

Command: ._LINE
Specify first point:
Specify next point or [undo]: 'snapang
>>Enter new value for SNAPANG <0.000r>: 1.5r
Resuming .LINE command.
Specify next point or [undo]:  <Ortho on>
Specify next point or [undo]: 'snapang
>>Enter new value for SNAPANG <1.500r>: 3r
Resuming .LINE command.
Specify next point or [undo]:
Specify next point or [Close/Undo]:

Share this post


Link to post
Share on other sites
Shibuboss

Cross Hair Style.

 

Is it possible to create a new crosshair style.i mean atleast the style of cursor?

Share this post


Link to post
Share on other sites
ReMark

What do you have in mind for a new style?

Share this post


Link to post
Share on other sites
Shibuboss

Cross hair style

 

Hello Sir thanks for your respond.

 

In my mind, to create a new ( my own ) crosshair style.is it possible?

Please advise.

Share this post


Link to post
Share on other sites
ReMark

Not to my knowledge. What exactly is it that you wanted to do?

Share this post


Link to post
Share on other sites
jlmdesgn

2008 has a command STP_SETCURRSA which allows you to select a line in your drawing and set the crosshairs to that angle. similarly, there is a command to snap them back to 0. This command no longer is supported in 2010. Anyone know how to easily make this happen? It's far faster to use a key command sequence to do this than a series of menus (assuming it's still even possible). Anyone know?

Share this post


Link to post
Share on other sites
lpseifert

I believe the command you refer to is from an add-on or a custom lisp command; STP_SETCURRSA has never been a command in core Autocad.

See here

http://www.hyperpics.com/commands/

 

You could use UCS > Ob to align the UCS with an object... then use UCS > P to return

Share this post


Link to post
Share on other sites
jlmdesgn

I went to that webpage, searched it for the command I'm looking for and it isn't listed. Are you saying that the command is not an AutoCad command? That it's part of a second party program (which may or may not be part of the discussion on that web page)? Is there a way around this where I could program a button or insert a short lisp routine to get me where I need to go? It is a highly useful tool that now is no longer available to me. I hope there is a way to retrieve it!

 

Thanks for your help!

Share this post


Link to post
Share on other sites
lpseifert
Are you saying that the command is not an AutoCad command?

I thought I made that fairly explicit in post #12

 

Is there a way around this where I could program a button or insert a short lisp routine to get me where I need to go? It is a highly useful tool that now is no longer available to me. I hope there is a way to retrieve it!

Thanks for your help!

Add this to your acaddoc.lsp file

(defun c:ue () (command "ucs" "ob"))
(defun c:up () (command "ucs" "p"))

This will make the commands UE and UP. The new command UE will align the UCS to an object; UP will realign the UCS to its previous state.

Share this post


Link to post
Share on other sites
jlmdesgn

Thank you for the answer - not for the attitude. I'm sorry if some of us aren't as intelligent as you are. You're superiority was clearly noticed by your knowledge. The attitude "I thought I made that fairly explicit in post #12" only made you appear arrogant. You should have stopped at "intelligent."

 

Good day

Share this post


Link to post
Share on other sites
lpseifert

Whoa Nellie... you should have stopped at Thank you.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×